OSCCTRL_DFLLCTRLB_Type Union Reference

## Data Fields

struct {
uint8_t MODE:1
uint8_t STABLE:1
uint8_t LLAW:1
uint8_t USBCRM:1
uint8_t CCDIS:1
uint8_t QLDIS:1
uint8_t BPLCKC:1
uint8_t WAITLOCK:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 485 of file oscctrl.h.

## Field Documentation

## bit

struct { ... } OSCCTRL_DFLLCTRLB_Type::bit

Structure used for bit access

## BPLCKC

uint8_t OSCCTRL_DFLLCTRLB_Type::BPLCKC

bit: 6 Bypass Coarse Lock

Definition at line 493 of file oscctrl.h.

## CCDIS

uint8_t OSCCTRL_DFLLCTRLB_Type::CCDIS

bit: 4 Chill Cycle Disable

Definition at line 491 of file oscctrl.h.

## LLAW

uint8_t OSCCTRL_DFLLCTRLB_Type::LLAW

bit: 2 Lose Lock After Wake

Definition at line 489 of file oscctrl.h.

## MODE

uint8_t OSCCTRL_DFLLCTRLB_Type::MODE

bit: 0 Operating Mode Selection

Definition at line 487 of file oscctrl.h.

## QLDIS

uint8_t OSCCTRL_DFLLCTRLB_Type::QLDIS

bit: 5 Quick Lock Disable

Definition at line 492 of file oscctrl.h.

## reg

uint8_t OSCCTRL_DFLLCTRLB_Type::reg

Type used for register access

Definition at line 496 of file oscctrl.h.

## STABLE

uint8_t OSCCTRL_DFLLCTRLB_Type::STABLE

bit: 1 Stable DFLL Frequency

Definition at line 488 of file oscctrl.h.

## USBCRM

uint8_t OSCCTRL_DFLLCTRLB_Type::USBCRM

bit: 3 USB Clock Recovery Mode

Definition at line 490 of file oscctrl.h.

## WAITLOCK

uint8_t OSCCTRL_DFLLCTRLB_Type::WAITLOCK

bit: 7 Wait Lock

Definition at line 494 of file oscctrl.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/oscctrl.h